summaryrefslogtreecommitdiffstats
path: root/testsuite/layout2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/layout2.sh')
-rwxr-xr-xtestsuite/layout2.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testsuite/layout2.sh b/testsuite/layout2.sh
index 7d8504b..2307a42 100755
--- a/testsuite/layout2.sh
+++ b/testsuite/layout2.sh
@@ -14,7 +14,9 @@ savelibs
echo $PRELINK ${PRELINK_OPTS--vR} ./layout2 > layout2.log
$PRELINK ${PRELINK_OPTS--vR} ./layout2 >> layout2.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` layout2.log && exit 2
-LD_LIBRARY_PATH=. ./layout2 || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./layout2 || exit 3
+fi
readelf -a ./layout2 >> layout2.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./layout2